Subject: Re: [RFC] netlink: add variable-length / auto integers

From: Jakub Kicinski <[email-masked]>
Date: Wed, 11 Oct 2023 09:19:59 -0700

On Wed, 11 Oct 2023 18:16:42 +0200 Johannes Berg wrote:
> > I was planning to add the docs to Documentation/userspace-api/netlink/
> > Is that too YNL-specific?  
> 
> Oh. I guess I keep expecting that header files at least have some hints,
> but whatever ... experience tells me anyway that nobody bothers reading
> the comments and people just copy stuff from elsewhere, so we just have
> to get this right first in one place ;-)

I'll try to add something in the header, in that case.
The netlink.h headers are particularly non-conducive
to finding stuff since we have 3 of them :(